import { Component } from "react";

import "./PrizePanel.less";
import { Button } from "@grace/ui";
import { ModalCtrl } from "@/core/ctrls/ModalCtrl.tsx";

export class PrizePanel extends Component<any, any> {

    componentDidMount() {
    }

    clickClose = () => {
        ModalCtrl.closeModal();
    }

    render() {

        const {optionImg, optionName} = this.props;

        return <div className="PrizePanel modal_center">
            <div className="bg"/>
            <img className="img" src={optionImg}/>
            <div className="prizeName">{optionName}</div>
            <Button className="btn" onClick={this.clickClose}/>
            <Button className="close" onClick={this.clickClose}/>
        </div>
    }


}
